﻿using System.Windows.Forms;

namespace DragSample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            //드레그를 허용
            this.AllowDrop = true;
            //Drag관련이벤트 연결
            this.DragOver += new DragEventHandler(Form1_DragOver);
            this.DragDrop+=new DragEventHandler(Form1_DragDrop);
            
        }

        //드레그한 개체가 폼위로 올라올때
        void Form1_DragOver(object sender, DragEventArgs e)
        {
            //드레그하는 개체가 파일이면
            if (e.Data.GetDataPresent(DataFormats.FileDrop))
            {
                //마우스 커서를 Copy모양으로 바꿔준다.
                e.Effect = DragDropEffects.Copy;
            }
            else
            {
                //아닐경우 커서의 모양을 θ 요런 모양으로 바꾼다.
                e.Effect = DragDropEffects.None;
            }
        }

        //드레그한 개체를 폼위에 올려 놓았을때
        void Form1_DragDrop(object sender, DragEventArgs e)
        {
            //객체들의 이름을 얻어온다.
            string[] files = e.Data.GetData(DataFormats.FileDrop) as string[];
            if(files!=null)
            {
                foreach (string file in files)
                {
                    //끌어온 파일명을 리스트박스에 달아준다.
                    listBox1.Items.Add(file);
                }                
            }
        }
    }
}
